API reference
Inboxes
Test inboxes for sign-up and verification flows.
GET
header
AuthorizationBearer <token>An API key (wa_<region>_…) or a dashboard access token.
OK
application/json- response
inboxes*array<>curl -X GET 'https://api.us.webagent.lookover.ai/v1/inboxes'Example Response
{ "inboxes": [ { "id": "string", "address": "string", "createdAt": 0, "expiresAt": 0 } ]}POST
header
AuthorizationBearer <token>An API key (wa_<region>_…) or a dashboard access token.
OK
application/json- response
id*stringMatch
^inb_(us|in)_[0-9a-z]{24}$address*stringcreatedAt*numberexpiresAt*numbercurl -X POST 'https://api.us.webagent.lookover.ai/v1/inboxes'Example Response
{ "id": "string", "address": "string", "createdAt": 0, "expiresAt": 0}GET
header
AuthorizationBearer <token>An API key (wa_<region>_…) or a dashboard access token.
id*stringMatch
^inb_(us|in)_[0-9a-z]{24}$OK
application/json- response
id*stringMatch
^inb_(us|in)_[0-9a-z]{24}$address*stringcreatedAt*numberexpiresAt*numbercurl -X GET 'https://api.us.webagent.lookover.ai/v1/inboxes/string'Example Response
{ "id": "string", "address": "string", "createdAt": 0, "expiresAt": 0}DELETE
header
AuthorizationBearer <token>An API key (wa_<region>_…) or a dashboard access token.
id*stringMatch
^inb_(us|in)_[0-9a-z]{24}$OK
application/json- response
deleted*booleancurl -X DELETE 'https://api.us.webagent.lookover.ai/v1/inboxes/string'Example Response
{ "deleted": true}GET
header
AuthorizationBearer <token>An API key (wa_<region>_…) or a dashboard access token.
id*stringMatch
^inb_(us|in)_[0-9a-z]{24}$wait?stringLength
length <= 10after?stringLength
length <= 40OK
application/json- response
messages*array<>curl -X GET 'https://api.us.webagent.lookover.ai/v1/inboxes/string/messages'Example Response
{ "messages": [ { "id": "string", "from": "string", "to": [ "string" ], "subject": "string", "text": "string", "links": [ "string" ], "code": "string", "receivedAt": 0 } ]}